Subject: Re: [PATCH v2 4/3] clone: move unborn head creation to update_head()

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Jul 2022 13:36:02 -0700

Jeff King <[email-masked]> writes:

> Let's move the creation of the unborn symref into update_head(). This
> matches the other HEAD-creation cases, and now the logic is consistently
> separated: the main cmd_clone() function only examines the situation and
> sets variables based on what it finds, and update_head() actually
> performs the update.

Yes, this step taken alone, and the final structure of the code,
both look quite sensible.

Thanks, will queue on top.